## ssc 1.0

=== DESCRIPTION ===
Package: ssc
Type: Package
Title: Semi-Supervised Classification Methods
Version: 1.0
Authors@R: c(person("Mabel", "González", role = "aut",
                    email = "mabelc@uclv.edu.cu"),
             person("José Daniel", "Rodríguez", role = "aut",
                    email = "josedaniel@uclv.cu"),
             person("Osmani", "Rosado", role = "aut",
                    email = "osmanir@uclv.cu"),
             person("José Manuel", " Benítez", role = "ths"),
             person("Christoph", "Bergmeir", role = c("ths", "cre"),
                    email = "c.bergmeir@decsai.ugr.es"),
             person("Isaac", "Triguero", role = "ctb"))
Description: Provides a collection of self-labeled techniques for semi-supervised classification. In semi-supervised classification, both labeled and unlabeled data are used to train a classifier. This learning paradigm has obtained promising results, specifically in the presence of a reduced set of labeled examples. This package implements a collection of self-labeled techniques to construct a distance-based classification model. This family of techniques enlarges the original labeled set using the most confident predictions to classify unlabeled data. The techniques implemented can be applied to classification problems in several domains by the specification of a suitable base classifier and distance measure. At low ratios of labeled data, it can be shown to perform better than classical supervised classifiers.
Depends: R (>= 2.4.0)
Imports: stats, proxy
Suggests: caret, e1071
Maintainer: Christoph Bergmeir <c.bergmeir@decsai.ugr.es>
License: GPL-2
Date: 2016-10-05
Encoding: UTF-8
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-04 22:54:35 UTC; bergmeir
Author: Mabel González [aut],
  José Daniel Rodríguez [aut],
  Osmani Rosado [aut],
  José Manuel Benítez [ths],
  Christoph Bergmeir [ths, cre],
  Isaac Triguero [ctb]
Repository: CRAN
Date/Publication: 2016-10-05 09:30:01

## ssc 0.0.0

=== debian/changelog ===
ssc (0.0.0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- general <general@unknown>  Mon, 02 Sep 2024 14:31:29 -0400

=== debian/control ===
Source: ssc
Section: devel
Priority: optional
Maintainer: PICCORO Lenz McKAY <mckaygerhard@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper(>> 6),
Standards-Version: 4.6.2
Homepage: https://github.com/liberize/ssc

Package: ssc
Architecture: all
Depends: bash, binutils, gcc, perl, ${shlibs:Depends}, ${misc:Depends},
Description: Convert shell script to binary
 simple tool to turn script to binary, inspired by shc.
 .
 ssc itself is not a compiler such as cc, it rather generates c++ source code with script code, 
 then uses c compiler to compile the source into a binary which behaves exactly like the original script.
 .
 Upon execution, the binary will call real script interpreter (systemwide, bundled or embeded), 
 and fork a child process to pipe script code to the interpreter to execute.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
override_dh_auto_configure:
	

override_dh_auto_install:
	

override_dh_install:
	dh_install ssc usr/bin
	mkdir -p debian/ssc/usr/lib/ssc
	cp src/* debian/ssc/usr/lib/ssc

## ssc 2.0.0

=== DESCRIPTION ===
Package: ssc
Type: Package
Title: Semi-Supervised Classification Methods
Version: 2.0.0
Authors@R: c(person("Mabel", "González", role = "aut",
                    email = "mabelc@correo.ugr.es",
                    comment = c(ORCID = "0000-0003-0152-444X")),
             person("Osmani", "Rosado-Falcón", role = "aut",
                    email = "osmanir@uclv.cu",
                    comment = c(ORCID = "0000-0002-2639-3354")),
             person("José Daniel", "Rodríguez", role = "aut",
                    email = "josedaniel@uclv.cu",
                    comment = c(ORCID = "0000-0002-8489-4106")),
             person("Christoph", "Bergmeir", role = c("ths", "cre"),
                    email = "c.bergmeir@decsai.ugr.es",
                    comment = c(ORCID = "0000-0002-3665-9021")),
             person("Isaac", "Triguero", role = "ctb",
                    email = "isaac.triguero@nottingham.ac.uk",
                    comment = c(ORCID = "0000-0002-0150-0651")),
             person("José Manuel", "Benítez", role = "ths",
                    email = "j.m.benitez@decsai.ugr.es",
                    comment = c(ORCID = "0000-0002-2346-0793"))
             )
Description: Provides a collection of self-labeled techniques for semi-supervised 
    classification. In semi-supervised classification, both labeled and unlabeled
    data are used to train a classifier. This learning paradigm has obtained promising
    results, specifically in the presence of a reduced set of labeled examples. 
    This package implements a collection of self-labeled techniques to construct a
    classification model. This family of techniques enlarges the original labeled set 
	using the most confident predictions to classify unlabeled data. The techniques 
	implemented can be applied to classification problems in several domains by the 
	specification of a supervised base classifier. At low ratios of labeled data, it 
	can be shown to perform better than classical supervised classifiers.
Depends: R (>= 3.2.3)
Imports: stats, proxy
Suggests: caret, e1071, C50, kernlab, testthat
License: GPL (>= 3)
URL: https://github.com/mabelc/SSC
BugReports: https://github.com/mabelc/SSC/issues
Encoding: UTF-8
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-03-26 17:32:39 UTC; osmani
Author: Mabel González [aut] (<https://orcid.org/0000-0003-0152-444X>),
  Osmani Rosado-Falcón [aut] (<https://orcid.org/0000-0002-2639-3354>),
  José Daniel Rodríguez [aut] (<https://orcid.org/0000-0002-8489-4106>),
  Christoph Bergmeir [ths, cre] (<https://orcid.org/0000-0002-3665-9021>),
  Isaac Triguero [ctb] (<https://orcid.org/0000-0002-0150-0651>),
  José Manuel Benítez [ths] (<https://orcid.org/0000-0002-2346-0793>)
Maintainer: Christoph Bergmeir <c.bergmeir@decsai.ugr.es>
Repository: CRAN
Date/Publication: 2018-03-27 04:00:31 UTC

## ssc 2.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ssc
 Type: Package
 Title: Semi-Supervised Classification Methods
-Version: 2.0.0
+Version: 2.1-0
 Authors@R: c(person("Mabel", "González", role = "aut",
                     email = "mabelc@correo.ugr.es",
                     comment = c(ORCID = "0000-0003-0152-444X")),
@@ -33,14 +33,16 @@
 	can be shown to perform better than classical supervised classifiers.
 Depends: R (>= 3.2.3)
 Imports: stats, proxy
-Suggests: caret, e1071, C50, kernlab, testthat
+Suggests: caret, e1071, C50, kernlab, testthat, timeDate, stringi,
+        R.rsp
+VignetteBuilder: R.rsp
 License: GPL (>= 3)
 URL: https://github.com/mabelc/SSC
 BugReports: https://github.com/mabelc/SSC/issues
 Encoding: UTF-8
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2018-03-26 17:32:39 UTC; osmani
+Packaged: 2019-12-15 20:56:23 UTC; bergmeir
 Author: Mabel González [aut] (<https://orcid.org/0000-0003-0152-444X>),
   Osmani Rosado-Falcón [aut] (<https://orcid.org/0000-0002-2639-3354>),
   José Daniel Rodríguez [aut] (<https://orcid.org/0000-0002-8489-4106>),
@@ -49,4 +51,4 @@
   José Manuel Benítez [ths] (<https://orcid.org/0000-0002-2346-0793>)
 Maintainer: Christoph Bergmeir <c.bergmeir@decsai.ugr.es>
 Repository: CRAN
-Date/Publication: 2018-03-27 04:00:31 UTC
+Date/Publication: 2019-12-15 21:30:02 UTC
